<?php
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cReporteDigemid.php");
$oReporteDigemid = new cReporteDigemid();
require_once ("../marca/cMarca.php");
$oMarca = new cMarca();

	
	
require_once ("../formatos/formatos.php");

?>


<section class="content" id="table" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">
  <div class="row">
    <div class="col-xs-12">
      <div class="box">
        <div class="box-body">
		
<table cellspacing="1" id="tabla_reporte"  class="table table-bordered table-striped" >
  
	<thead>
    <tr>
    <th>COD</th>
    <th>PRODUCTO</th>
    <th>PRECIO MAX.</th>
    <th>PRECIO MIN.</th>
    <th>MEDIANA</th>
    </tr>
	</thead>
		  
  <tbody>
			<?php  
			  /* echo  '-'.fecha_mysql($_POST['txt_fil_rep_fec1']).'-'.fecha_mysql($_POST['txt_fil_rep_fec2']).'-'.$_POST['cmb_fil_punven_id']; */
    $dts1=$oReporteDigemid->mostrarMarcas($_POST['cmb_fil_mar_id']);
            while($dt1 = mysql_fetch_array($dts1))
            {
				$marca_id = $dt1['tb_marca_id'];
			?>		
			  <tr style="background-color:#b9f6ca;" class="hover">
                <th colspan="5" valign="bottom"><strong> MARCA : <?php  echo $dt1['tb_marca_nom'];?></strong></th>
              </tr>	
			  
			<?php 	
			
			 $dtspro=$oReporteDigemid->filtrar_producto($dt1['tb_marca_id']);
              while($dt = mysql_fetch_array($dtspro)){
				  
				
				  $numrows_ventas = "";
				  $dtscount=$oReporteDigemid->ventas_codbar($dt['tb_catalogo_id'],fecha_mysql($_POST['txt_fil_rep_fec1']),fecha_mysql($_POST['txt_fil_rep_fec2']),$_POST['cmb_fil_punven_id']);
				  $numrows_ventas = mysql_num_rows($dtscount);
				$precimin = ''; 
				$precimax = '';
			if($numrows_ventas>0){
				
				$dtsmaxmin=$oReporteDigemid->venmax_min($dt['tb_catalogo_id'],fecha_mysql($_POST['txt_fil_rep_fec1']),fecha_mysql($_POST['txt_fil_rep_fec2']),$_POST['cmb_fil_punven_id']);
				$dtmaxmin = mysql_fetch_array($dtsmaxmin);
				$precimin = formato_money($dtmaxmin['vmin']);
				$precimax = formato_money($dtmaxmin['vmax']);
				mysql_free_result($dtsmaxmin);
				
				$venta = '<div style="width:15px;height:15px;background-color:red;"> </div>';
				
			}else{
				$precimin = formato_money($dt['tb_catalogo_preven']);
				$precimax = formato_money($dt['tb_catalogo_preven']);
				$venta = "";
			}
		
			?>
			
			  <tr class="even">
                  <td><?php echo $dt['tb_presentacion_codbar']?></td>
                  <td><?php echo $dt['tb_producto_nom']?></td>
				  <td><?php echo $precimax;?> </td>
                  <td><?php echo $precimin; ?></td>                
                  <td><?php echo $venta;?></td>
                 
               </tr>
			
			<?php 							
			  }	
			  
			}
		   ?>  
</tbody>
</table>


				</div>
			</div>
		</div>
	</div>
</section>